Inhalte
Index 🔎︎

# Anweisung Type

Nicht-UNO-Datenstrukturen (Struct) definieren.

Ein Struct ist eine geordnete Sammlung von Datenfeldern, die als ein einzelner Wert behandelt werden kann.

### Syntax:

             Type StructName
              DataField1 As TypeName1
              DataField2 As TypeName2
              (...)
             End Type

### Beispiel:

             REM  *****  BASIC  *****
             Type customer
              Name1 As String
              City As String
             End Type
             Sub setCustomer
              Dim oCustomer as new customer
              oCustomer.Name1 = "The Document Foundation"
              oCustomer.City = "Berlin"
             End Sub

Verwandte Themen

Funktion CreateObject